﻿<UserControl x:Class="OrderCategorization.Controls.MoreUC"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:OrderCategorization.Controls" Name="owner"
             mc:Ignorable="d" FontFamily="Vazir FD" FontSize="13"
             MinHeight="60" Width="54">
    <Grid>
        <Button Width="50" Style="{DynamicResource ListCommandButtonStyle}" Margin="2,5" Click="MoreSectionToggleVisibility">
            <Image Source="{Binding IconSource, ElementName=owner}" Stretch="Fill" Width="24" Height="24" RenderOptions.BitmapScalingMode="HighQuality"/>
        </Button>
        <Popup Name="MoreSectionPopup" Width="200" StaysOpen="False">
            <Grid>
                <Rectangle Stroke="#FF3CA3F4"/>
                <StackPanel Name="SubMenuStackPanel" Margin="1" Background="#FFF9F9F9">
                    <ContentPresenter Content="{Binding MenuContent, ElementName=owner}" />
                </StackPanel>
            </Grid>
        </Popup>
    </Grid>
</UserControl>
